Jump to
Ctrl
+
/

List Supported Assets

GET
/supported-assets

Retrieves a list of all assets supported by the platform. This endpoint is intended to help users discover which assets are available to be added to their Vault Accounts. Results can be sorted and paginated to ensure efficient and consistent data retrieval, even for large asset sets.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

assetUnit string Optional

Filter results by asset unit (e.g., BTC, BNB, USDC, TRX, LINK).

blockchain string Optional

Filter results by blockchain the asset is supported on (e.g., bitcoin, ethereum, polygon, tron, solana).

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
networkType string Optional

Filter by network type: main or test.

startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
active string Required

Whether asset is currently supported.

true
assetId string Required

The specific asset ID.

6523e058a06ebf1322d7dd6f
assetName string Required

The name of the asset (e.g., Litecoin, Dogecoin,, Polygon, Tron, Avalanch, ChainLink, JUST, Tether).

Ethereum
assetType string Required

Type of asset - COIN, TOKEN.

TOKEN
assetUnit string Required

Asset symbol (e.g., BTC, BNB, USDC, TRX, LINK).

ETH
blockchain string Required

Represents the blockchain of the asset, e.g. bitcoin, litecoin, binance-smart-chain, tron, polygon, base.

ethereum
contractAddress string Required

Smart contract address (if applicable, for token type assets).

0x1c7d4b196cb0c7b01d743fbc6116a902379c7238
contractType string Required

Token standard type (BEP-20, ERC-20, etc.) - for tokens only.

ERC-20
decimals string Required

Number of decimal places supported by the asset.

6
network string Required

Represents the network of the asset e.g. mainnet, testnet, sepolia, nile.

mainnet
price object Required

Current price information for the asset.

amount string Required

Current price value.

2147.2241
calculationTimestamp integer Required

Unix timestamp indicating when the price was calculated

1770727800
unit string Required

Price currency.

USD

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "active": "true",
                "assetId": "6523e058a06ebf1322d7dd6f",
                "assetName": "Ethereum",
                "assetType": "TOKEN",
                "assetUnit": "ETH",
                "blockchain": "ethereum",
                "contractAddress": "0x1c7d4b196cb0c7b01d743fbc6116a902379c7238",
                "contractType": "ERC-20",
                "decimals": "6",
                "network": "mainnet",
                "price": {
                    "amount": "2147.2241",
                    "calculationTimestamp": 1770727800,
                    "unit": "USD"
                }
            }
        ]
    }
}